[@rxap/material-table-system](../wiki/globals) / IsTableRowActionTypeSwitchMethod

# Function: IsTableRowActionTypeSwitchMethod()

> **IsTableRowActionTypeSwitchMethod**\<`Data`\>(`method`): `method is TableRowActionTypeSwitchMethod<Data>`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:16](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts#L16)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Parameters

### method

[`TableRowActionMethod`](../wiki/TypeAlias.TableRowActionMethod)\<`Data`\>

## Returns

`method is TableRowActionTypeSwitchMethod<Data>`
